# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'awslist/version'

Gem::Specification.new do |spec|
  spec.name          = 'awslist'
  spec.version       = Awslist::VERSION
  spec.authors       = ["Akkks"]
  spec.email         = ["sngh.akanksha09@gmail.com"]

  spec.summary       = %q{Aws instance price list}
  spec.description   = %q{Filter instances according to your choices}
  spec.homepage      = "https://github.com/Akkks/awslist"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  #if spec.respond_to?(:metadata)
  #  spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  #else
  #  raise "RubyGems 2.0 or newer is required to protect against " \
  #    "public gem pushes."
  #end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'bin'
  spec.executables   = ['awslist']
  spec.require_paths = ['lib']

  spec.add_dependency 'rest-client'
  spec.add_dependency 'nokogiri'
  spec.add_dependency 'json'
  spec.add_dependency 'terminal-table'

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

end
